As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 134002 - Content of plugins (flash, java applets) doesn't get rendered for printing or print preview
: Content of plugins (flash, java applets) doesn't get rendered for printing or...
Status: RESOLVED WONTFIX
[PL2:P3]
: relnote, topembed-
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: P3 normal with 21 votes (vote)
: Future
Assigned To: Nobody; OK to take it and work on it
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
http://www.mappy.com/
: 133994 223889 227347 240954 248936 261449 264239 292644 319630 329731 375062 457915 491674 567151 574674 644076 812804 (view as bug list)
Depends on: 191046
Blocks: grouper 248936
  Show dependency treegraph
 
Reported: 2002-03-28 10:37 PST by Peter Lubczynski
Modified: 2013-02-13 08:03 PST (History)
49 users (show)
jst: blocking1.9.2-
jonas: blocking1.9-
reed: wanted1.9+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
temporary patch (1.87 KB, patch)
2002-03-28 11:02 PST, rods (gone)
no flags Details | Diff | Splinter Review

Description User image Peter Lubczynski 2002-03-28 10:37:34 PST
Bug 122048 fixed print preview such that plugins won't cause a crash or hang by
deactivating them altogether. This bug is about reactivating plugins in PP.

The plan is to create an offscreen that the plugin renders into once and then
just display that for PP. That solves widget reparenting issues, freezes
animations and events, plus simulates IE's behavior.
Comment 1 User image shrirang khanzode 2002-03-28 10:39:17 PST
isn't bug 133994 covering the same issue?
Comment 2 User image shrirang khanzode 2002-03-28 10:42:01 PST
*** Bug 133994 has been marked as a duplicate of this bug. ***
Comment 3 User image rods (gone) 2002-03-28 11:02:27 PST
Created attachment 76591 [details] [diff] [review]
temporary patch

May want to put this in until we get it all working, otherwise we may get a ton
of dups.
Comment 4 User image Peter Lubczynski 2002-03-28 13:28:15 PST
I don't like adding temporary info because:

The size of the plugin may vary and the text may get cropped
The background color may make the string unreadable anyway.
The string would need to be localized and I believe localization freeze is tomorrow

This should probably be relnoted.
Comment 5 User image rubydoo123 2002-03-28 15:29:11 PST
putting this into the 1.0.1 bucket
Comment 6 User image Peter Lubczynski 2002-04-17 07:18:56 PDT
*** Bug 129617 has been marked as a duplicate of this bug. ***
Comment 7 User image sujay 2002-04-17 09:07:56 PDT
updating summary
Comment 8 User image Peter Lubczynski 2002-07-18 18:20:25 PDT
There is quite a bit of work to be done for getting plugins to show up
*correctly* in print preview. Because the plugin API does not support it, we've
somehow got to "snap a picture" of the plugin and display that. Some of the work
may have to be done in gfx or the platform widget toolkits. Pushing out to
plugins 2.0 work.
Comment 9 User image Marek Z. Jeziorek 2002-09-13 09:39:12 PDT
batch: adding topembed per Gecko2 document
http://rocknroll.mcom.com/users/marek/publish/Gecko/Gecko2Tasks.html
Comment 10 User image Judson Valeski 2002-10-11 09:57:03 PDT
is this strictly a print preview problem, or are we not printing plugins/applets
at all?
Comment 11 User image Peter Lubczynski 2002-10-11 10:48:10 PDT
this is print preview only
Comment 12 User image Boris Zbarsky [:bz] (still a bit busy) 2003-10-27 15:55:54 PST
*** Bug 223889 has been marked as a duplicate of this bug. ***
Comment 13 User image Boris Zbarsky [:bz] (still a bit busy) 2003-12-03 01:26:59 PST
*** Bug 227347 has been marked as a duplicate of this bug. ***
Comment 14 User image Wayne Mery (:wsmwk, NI for questions) 2005-09-05 08:14:51 PDT
*** Bug 261449 has been marked as a duplicate of this bug. ***
Comment 15 User image Wayne Mery (:wsmwk, NI for questions) 2005-09-05 08:15:29 PDT
*** Bug 264239 has been marked as a duplicate of this bug. ***
Comment 16 User image Phil Endecott 2006-01-19 16:15:55 PST
*** Bug 324001 has been marked as a duplicate of this bug. ***
Comment 17 User image Phil Endecott 2006-01-19 16:22:05 PST
In bug 324001, which I've now duped to this one, I noted that print preview of PDF documents currently shows a blank page.  I presume that this is covered by this bug, unless a whole-page plugin is treated significantly differently from an embedded plugin.

In the case of a whole-page non-embedded PDF, is it reasonable for Moz to do a print-preview at all?  In bug 324001 I suggested that perhaps the Preview menu item should be disabled for PDF pages.

--Phil.
Comment 18 User image Lucius Chiaraviglio 2006-02-03 15:23:03 PST
*** Bug 319630 has been marked as a duplicate of this bug. ***
Comment 19 User image zug_treno 2006-03-08 03:32:55 PST
*** Bug 329731 has been marked as a duplicate of this bug. ***
Comment 20 User image Wayne Mery (:wsmwk, NI for questions) 2007-03-01 08:48:32 PST
*** Bug 248936 has been marked as a duplicate of this bug. ***
Comment 21 User image Martijn Wargers [:mwargers] 2007-05-02 14:36:24 PDT
Eli, you happen to know what should be done here?
There is some obvious code in nsObjectFrame.cpp that should be removed, but that doesn't really seem to help.
Comment 22 User image Eli Friedman 2007-05-02 14:43:03 PDT
Fixing this is basically unworkable until there is some capability to draw a plugin to an arbitrary surface.  Also, there's no point to rendering plugins in print preview until we can print them.  I'm sure there's a bug somewhere about printing plugins; I can't remember the number.
Comment 23 User image Martijn Wargers [:mwargers] 2007-05-02 14:46:39 PDT
Well, printing seems to work for me. At least, I tried to print a flash file to a pdf printer driver and that seemed to work. Not sure about other plugins.
Comment 24 User image Phil Endecott 2007-05-02 14:51:52 PDT
See my comment #17; in the case of PDF (and presumably other formats) printing is handled by the plugin itself (and works), but preview isn't.  So for full-page plugins I feel that print preview should be disabled in the UI.
Comment 25 User image Eli Friedman 2007-05-02 19:06:49 PDT
(In reply to comment #23)
> Well, printing seems to work for me. At least, I tried to print a flash file to
> a pdf printer driver and that seemed to work. Not sure about other plugins.

Sorry, I wasn't really thinking... it does work for Flash (although not much else.)  The obvious fix is making the print preview case do the same thing as the print case, right?  I'm pretty sure that should work, at least in simple cases.  I might be forgetting something, though.  (See also Bug 317447.)

(In reply to comment #24)
> See my comment #17; in the case of PDF (and presumably other formats) printing
> is handled by the plugin itself (and works), but preview isn't.  So for
> full-page plugins I feel that print preview should be disabled in the UI.

Full-page plugins are a completely different codepath; please file another bug.
Comment 26 User image Martijn Wargers [:mwargers] 2007-05-03 00:50:29 PDT
Thanks for the explanation, Eli!

(In reply to comment #25)
> Full-page plugins are a completely different codepath; please file another bug.

Well, that bug (bug 324001) was made a duplicate against this bug. So I've reopened that bug.

Comment 27 User image Masatoshi Kimura [:emk] 2008-06-19 09:14:10 PDT
*** Bug 375062 has been marked as a duplicate of this bug. ***
Comment 28 User image Thomas K. (:tom) 2008-08-06 15:03:11 PDT
*** Bug 292644 has been marked as a duplicate of this bug. ***
Comment 29 User image Matthias Versen [:Matti] 2008-10-01 02:26:37 PDT
*** Bug 457915 has been marked as a duplicate of this bug. ***
Comment 30 User image Henrik Skupin (:whimboo) 2009-02-22 10:55:58 PST
*** Bug 240954 has been marked as a duplicate of this bug. ***
Comment 31 User image Henrik Skupin (:whimboo) 2009-03-26 08:12:28 PDT
Mostly too late for 1.9.1 but bringing on the radar for 1.9.2.
Comment 32 User image Brian Polidoro 2009-05-06 06:47:15 PDT
*** Bug 491674 has been marked as a duplicate of this bug. ***
Comment 33 User image Henrik Skupin (:whimboo) 2009-07-07 15:02:26 PDT
With the work on bug 191046 this will hopefully be fixed on OS X.
Comment 34 User image Johnny Stenback (:jst, jst@mozilla.com) 2009-07-22 16:52:36 PDT
Not blocking 1.9.2 on this.
Comment 35 User image SolracBlue2000 2010-05-20 12:17:55 PDT
My manifestation of the problem is both in the Print Preview and in the Print functions, involving what appears to be Flash content graphics that don't display in Firefox but display and print fine in IE.

There appears to be a patch shown above.  How do I apply that patch?  Any help appreciated!  (I'm not a programmer)
Comment 36 User image Stephen Rasku 2010-05-21 13:16:39 PDT
If you are not a programmer then you probably not in a position to compile the browser.  Unless you can compile it the patch won't help you.
Comment 37 User image Kevin Brosnan 2010-06-01 23:06:45 PDT
*** Bug 567151 has been marked as a duplicate of this bug. ***
Comment 38 User image AndreiD[QA] 2011-03-07 02:05:13 PST
Reproduceable on:
 Mozilla/5.0 (Windows NT 6.1; rv:2.0) Gecko/20100101 Firefox/4.0

*Note: Print preview for an inline pdf file displays a blank page.
Adobe Plugin Version: 10.0.1.434
Comment 39 User image Tim (fmdeveloper) 2011-04-03 22:46:04 PDT
*** Bug 644076 has been marked as a duplicate of this bug. ***
Comment 40 User image Tim (fmdeveloper) 2011-04-11 11:47:07 PDT
*** Bug 574674 has been marked as a duplicate of this bug. ***
Comment 41 User image Matthias Versen [:Matti] 2012-11-17 11:16:31 PST
*** Bug 812804 has been marked as a duplicate of this bug. ***
Comment 42 User image Benjamin Smedberg [:bsmedberg] 2013-02-13 06:40:05 PST
Bug 838763 now covers disabling both the print and print-preview buttons for fullpage plugins. For in-content plugins I don't think we care about printing at this point.
Comment 43 User image Phoenix 2013-02-13 06:48:40 PST
For those, who want to print pages with plugins content, just switch from Firefox to IE9/10, it allows you to print all you want.
Comment 44 User image Mark Clements 2013-02-13 08:03:50 PST
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #42)
> Bug 838763 now covers disabling both the print and print-preview buttons for
> fullpage plugins. For in-content plugins I don't think we care about
> printing at this point.

Why ever not?  This is pretty basic stuff, and other browsers seem to be able to handle it!

If you don't care about printing 'in-content plugins' then how comes you care about printing images - I'm not sure what the conceptual difference is from a user's point of view.

(I'm well aware of the implementation differences from a developer's point of view.)

Please reopen (and - more importantly - fix)!

Note You need to log in before you can comment on or make changes to this bug.